Retrieves an object of the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "b703e37b-ec1f-40dd-8db0-eb494786a221",
"_parent_id": "d5080027-3cfd-4d32-9577-d57e92d00bda",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "4705cedc-f816-4819-9e00-f2b4cf151168",
"company_id": "aa88c97b-bab4-40ce-b975-d28004c45515",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "c880248f-7764-4bb6-b301-da0962fce3ab",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "3164ca1f-f745-4757-b87b-440ea1b16d2b",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "1b7c9e0e-55b9-43ec-9a55-095b6d1ec847",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "de175afb-0eb7-4dc3-b463-49c1ada9ce39",
"company_code": "sample string 5",
"company": {
"id": "473b2de5-eea8-4299-b9f7-1aff5ae02336",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-31T04:20:22.4803946+00:00",
"sales_territory_id": "0087630f-1f5d-43bf-9316-1ec54be61be6",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "4dcc1a0d-4037-4b62-83dd-45a4e2a6c876",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "8acf12ce-d934-4c47-aba2-59566b32150c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "29f68494-3204-4a1b-9acd-f00900a06523",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cd17c59-bf2f-4e00-84a7-d60baa1679cc",
"db_currency_id": "ffea4fea-f135-43dc-8cc5-a84305d35a40",
"db_language_id": "5d38e2a8-13f9-4c01-91b5-31625f255fb6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00"
},
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00"
},
"marketing_segment_id": "27ca77ff-0ad2-49a3-b3c2-a7012d56428b",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "3d9145bd-50a5-4754-ba0e-a5a51c497e41",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "b745f169-f058-421d-bf30-e44e331511eb",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "f66153b1-633c-47a0-9104-fb684b5f6da5",
"db_country_code": "sample string 28",
"feelist_id": "42637f92-d1c5-4f59-965e-7783e73270e3",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "c574f4a8-35fc-43f1-bbb6-efd71a0d09c7",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "b4f01d1c-4d59-4a5e-afc4-eece7b68c8ac",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00",
"db_currency_id": "56b25aea-8c0e-4dcd-92ae-b4c547e29b56",
"db_currency_code": "sample string 10"
},
"company_type_id": "63faf4d5-fc72-4ea8-9d4b-6610550b2f9c",
"company_type_name": "sample string 32",
"company_type": {
"id": "089e35b3-4f1e-4eed-a0cd-baec3dfda874",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "fdc13605-d5cd-4cd4-9fe0-7aef55fca409",
"sales_organization_code": "sample string 5"
},
"db_language_id": "d8c5e13b-5fa2-4c9b-b746-68fa2765b917",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "235f472b-fe5c-4c9e-b999-60f21c51260a",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "b37cbfc4-103a-42cc-9d41-0cc1c34470f8",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "d7a70b92-a5bc-41f3-a157-c3fb1f380ee6",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00"
},
"company_sector_id": "3e2816f5-ffc3-4a34-b2a4-37cbbaecb785",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "ec33dd6f-fb03-4255-b221-601ffe05f24f",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "bd201ad9-624d-4852-a4c8-1a2302ad40e7",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "6c168711-3228-4097-94df-2aad980d7c3d",
"account_manager_user_code": "sample string 56",
"company_status_id": "2fb5ebac-846a-47da-bd1d-80a59d691928",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00",
"id2": 60
},
"db_language_id": "ec7aee23-319b-44c9-b1be-f338f285abfb",
"db_language_code": "sample string 7",
"db_title_id": "f37b0a70-fd31-4d6d-96c5-d7dbdeaf6f88",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-31T04:20:22.4803946+00:00",
"create_date": "2026-10-31T04:20:22.4803946+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00"
},
"modified_dateutc": "2026-10-31T04:20:22.4803946+00:00",
"id2": 22
}